import FWCore.ParameterSet.Config as cms
import SLHCUpgradeSimulations.Configuration.customise_PFlow as customise_PFlow

#GEN-SIM so far...
def customise(process):
    if hasattr(process,'DigiToRaw'):
        process=customise_DigiToRaw(process)
    if hasattr(process,'RawToDigi'):
        process=customise_RawToDigi(process)
    n=0
    if hasattr(process,'reconstruction') or hasattr(process,'dqmoffline_step'):
        if hasattr(process,'mix'):
            if hasattr(process.mix,'input'):
                n=process.mix.input.nbPileupEvents.averageNumber.value()
        else:
            print 'phase1TkCustoms requires a --pileup option to cmsDriver to run the reconstruction/dqm'
            print 'Please provide one!'
            sys.exit(1)
    if hasattr(process,'reconstruction'):
        process=customise_Reco(process,float(n))
    if hasattr(process,'digitisation_step'):
        process=customise_Digi(process)
    if hasattr(process,'dqmoffline_step'):
        process=customise_DQM(process,n)
    if hasattr(process,'dqmHarvesting'):
        process=customise_harvesting(process)
    if hasattr(process,'validation_step'):
        process=customise_Validation(process,float(n))
    process=customise_condOverRides(process)
    
    return process

def customise_Digi(process):
    process.mix.digitizers.pixel.MissCalibrate = False
    process.mix.digitizers.pixel.LorentzAngle_DB = False
    process.mix.digitizers.pixel.killModules = True
    
    dead=cms.VPSet()
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(307237000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307236996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307269904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307269900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307269976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307269972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307277868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307277872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307277896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307277892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307277996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307302452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307302456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307302652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307302656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307302796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307302800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307306728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307310652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307310656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307310700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307310704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307311020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307311024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307314872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307314868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307315072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307315068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307318884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307318888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307318908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307318912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307318924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307318928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307319016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307319012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307319040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307319036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307322908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307322912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307323136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307323132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307323168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307323164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307323232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307323228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307323264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307323260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307327028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307327032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307327104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307327100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307327172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307327176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307327340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307327344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307331168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307331164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307331320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307331316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307331372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307331376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308294048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308294044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308294056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308294052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308298012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308298016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308298024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308298020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308305948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308305952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308335008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308335004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308335024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308335020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308339048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308339044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308339112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308339108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308346928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308346924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308380020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308380024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308383916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308383920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308383952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308383948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308384148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308384152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308387960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308387956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308388096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308388092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308388136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308388132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308388188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308388192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308391984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308391980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308392204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308392208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308392288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308392284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308392348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308392352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308396108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308396112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308396128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308396124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308396164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308396168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308396336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308396332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308396464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308396460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308400160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308400156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308400296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308400292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308400364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308400368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308400416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308400412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308400556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308400560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404316), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(308404328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308404500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308408324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308408328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308408440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308408436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308408528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308408524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308408604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308408608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308408696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308408692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308412608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308412604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308412632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308412628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308412644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308412648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308412816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308412812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308412848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308412844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308416780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308420908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308421012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308421016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309362696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309362692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309370952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309370948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309411952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309411948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309415968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309415964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309432324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309432328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309456916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309456920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309456932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309456936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309456960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309456956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309473360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309473356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309485600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309485596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309485656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309485652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309485724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309485728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309489736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309489732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309489828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309489832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309493880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309493876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309497972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309497976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309498020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309498024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309502072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309502068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309506076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309506080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309510288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309510284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309514272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309514268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309514304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309514300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309514316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309514320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309518348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309518352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309518416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309518412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309518428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309518432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309522616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309526560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309526556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309526624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309526620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309526688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309526684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309526704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309526700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310436004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310436008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310436032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310436028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310481016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310481012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310481044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310481048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310522036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310522040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546540), Module = cms.string('whole')),
    	 ]);
    dead.extend([
        cms.PSet(Dead_detID = cms.int32(310546572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310567064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310567060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310567084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310567088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310608028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310608032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310608056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310608052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311451816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311451812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311460024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311460020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311463960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311463956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311508996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311509000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311509028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311509032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311509036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311509040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311509068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311509072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311513260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311513264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311537804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311537808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311545888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311545884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311545928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311545924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311546000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311545996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311546012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311546016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311546044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311546048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311546048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311546044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311558168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311558164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311587008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311587004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311590960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311590956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311607364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311607368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311607448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311607444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311635996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311640148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311640152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311640216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311640212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311673020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311673024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311676932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311676936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311677024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311677020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311677100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311677104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311701672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311701668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311713796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311713800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311713924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311713928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311717932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311717936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311717980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311717984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311718048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311718044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311722000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311721996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311722024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311722020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311722168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311722164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311726172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311726176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311726192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311726188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311726216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311726212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311738420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311738424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311738540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311738544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355210352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355210348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214376), Module = cms.string('whole')),
    	 ]);
    dead.extend([
        cms.PSet(Dead_detID = cms.int32(355214404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355231000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355235024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355235020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355493112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355493108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355493148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355493152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355734568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355734564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355780000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355791888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355791884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356005000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356004996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356005008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356005004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356005016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356005012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033576), Module = cms.string('whole')),
    	 ]);
    dead.extend([
        cms.PSet(Dead_detID = cms.int32(356033632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356038080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356038076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356303916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356303920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356303976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356303972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356303996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346830000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346830044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346830048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346833964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346833968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347083856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347083852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347083912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347083908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347087884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347087888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347087956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347087960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347121056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347121052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141408), Module = cms.string('whole')),
    	 ]);
    dead.extend([
        cms.PSet(Dead_detID = cms.int32(347141408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347345972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347345976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347346008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347346004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347386888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347386884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347386988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347386992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347608076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347608080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347608116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347608120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347608148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347608152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347666000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347666048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347666044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347890828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347890832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347890868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347890872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347902984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347902980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347902992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347902988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347924052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347924056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927956), Module = cms.string('whole')),
                ]);
    process.mix.digitizers.pixel.DeadModules = cms.VPSet(dead)

    process.mix.digitizers.pixel.useDB = False
    process.mix.digitizers.pixel.DeadModules_DB = False
    process.mix.digitizers.pixel.NumPixelBarrel = cms.int32(10)
    process.mix.digitizers.pixel.NumPixelEndcap = cms.int32(14)
    process.mix.digitizers.pixel.ThresholdInElectrons_FPix = cms.double(2000.0)
    process.mix.digitizers.pixel.ThresholdInElectrons_BPix = cms.double(2000.0)
    process.mix.digitizers.pixel.ThresholdInElectrons_BPix_L1 = cms.double(2000.0)
    process.mix.digitizers.pixel.thePixelColEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelChipEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelColEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelChipEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.AddPixelInefficiencyFromPython = cms.bool(False)
    process.mix.digitizers.strip.ROUList = cms.vstring("g4SimHitsTrackerHitsPixelBarrelLowTof",
                         'g4SimHitsTrackerHitsPixelEndcapLowTof')
    # Check if mergedtruth is in the sequence first, could be taken out depending on cmsDriver options
    if hasattr(process.mix.digitizers,"mergedtruth") :    
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIBLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIBHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTOBLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTOBHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTECLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTECHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIDLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIDHighTof"))
    
    return process


def customise_DigiToRaw(process):
    process.digi2raw_step.remove(process.siPixelRawData)
    process.digi2raw_step.remove(process.rpcpacker)
    return process

def customise_RawToDigi(process):
    process.raw2digi_step.remove(process.siPixelDigis)
    return process

def customise_Reco(process,pileup):



    #use with latest pixel geometry
    process.ClusterShapeHitFilterESProducer.PixelShapeFile = cms.string('RecoPixelVertexing/PixelLowPtUtilities/data/pixelShape_Phase1Tk.par')
    # Need this line to stop error about missing siPixelDigis.
    process.MeasurementTracker.inactivePixelDetectorLabels = cms.VInputTag()

    # new layer list (3/4 pixel seeding) in InitialStep and pixelTracks
    process.pixellayertriplets.layerList = cms.vstring('BPix1+BPix2+BPix3', 'BPix2+BPix3+BPix4',
						       'BPix2+BPix3+FPix1_pos', 'BPix2+BPix3+FPix1_neg',
						       'BPix1+BPix2+FPix1_pos', 'BPix1+BPix2+FPix1_neg',
						       'BPix2+FPix1_pos+FPix2_pos', 'BPix2+FPix1_neg+FPix2_neg',
						       'BPix1+FPix1_pos+FPix2_pos', 'BPix1+FPix1_neg+FPix2_neg',
						       'BPix1+FPix2_pos+FPix3_pos', 'BPix1+FPix2_neg+FPix3_neg',
						       'FPix1_pos+FPix2_pos+FPix3_pos', 'FPix1_neg+FPix2_neg+FPix3_neg',
						       'FPix2_pos+FPix3_pos+FPix4_pos', 'FPix2_neg+FPix3_neg+FPix4_neg',
						       'FPix3_pos+FPix4_pos+FPix5_pos', 'FPix3_neg+FPix4_neg+FPix5_neg',
						       'FPix4_pos+FPix5_pos+FPix6_pos', 'FPix4_neg+FPix5_neg+FPix6_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos', 'FPix5_neg+FPix6_neg+FPix7_neg',
						       'FPix6_pos+FPix7_pos+FPix8_pos', 'FPix6_neg+FPix7_neg+FPix8_neg',
						       'FPix6_pos+FPix7_pos+FPix9_pos', 'FPix6_neg+FPix7_neg+FPix9_neg')

    # New tracking.  This is really ugly because it redefines globalreco and reconstruction.
    # It can be removed if change one line in Configuration/StandardSequences/python/Reconstruction_cff.py
    # from RecoTracker_cff.py to RecoTrackerPhase1PU140_cff.py

    # remove all the tracking first
    itIndex=process.globalreco.index(process.trackingGlobalReco)
    grIndex=process.reconstruction.index(process.globalreco)

    process.reconstruction.remove(process.globalreco)
    process.globalreco.remove(process.iterTracking)
    process.globalreco.remove(process.electronSeedsSeq)
    process.reconstruction_fromRECO.remove(process.trackingGlobalReco)
    del process.iterTracking
    del process.ckftracks
    del process.ckftracks_woBH
    del process.ckftracks_wodEdX
    del process.ckftracks_plus_pixelless
    del process.trackingGlobalReco
    del process.electronSeedsSeq
    del process.InitialStep
    del process.LowPtTripletStep
    del process.PixelPairStep
    del process.DetachedTripletStep
    del process.MixedTripletStep
    del process.PixelLessStep
    del process.TobTecStep
    del process.earlyGeneralTracks
    del process.ConvStep
    del process.earlyMuons
    del process.muonSeededStepCore
    del process.muonSeededStepExtra 
    del process.muonSeededStep
    del process.muonSeededStepDebug
    
    # add the correct tracking back in
    process.load("RecoTracker.Configuration.RecoTrackerPhase2BEPixel10D_cff")

    process.globalreco.insert(itIndex,process.trackingGlobalReco)
    process.reconstruction.insert(grIndex,process.globalreco)
    #Note process.reconstruction_fromRECO is broken
    
    # End of new tracking configuration which can be removed if new Reconstruction is used.


    process.reconstruction.remove(process.castorreco)
    process.reconstruction.remove(process.CastorTowerReco)
    process.reconstruction.remove(process.ak7BasicJets)
    process.reconstruction.remove(process.ak7CastorJetID)

    #the quadruplet merger configuration     
    process.load("RecoPixelVertexing.PixelTriplets.quadrupletseedmerging_cff")
    process.pixelseedmergerlayers.BPix.TTRHBuilder = cms.string("PixelTTRHBuilderWithoutAngle" )
    process.pixelseedmergerlayers.BPix.HitProducer = cms.string("siPixelRecHits" )
    process.pixelseedmergerlayers.FPix.TTRHBuilder = cms.string("PixelTTRHBuilderWithoutAngle" )
    process.pixelseedmergerlayers.FPix.HitProducer = cms.string("siPixelRecHits" )    
    process.pixelseedmergerlayers.layerList = cms.vstring('BPix1+BPix2+BPix3+BPix4',
						       'BPix1+BPix2+BPix3+FPix1_pos','BPix1+BPix2+BPix3+FPix1_neg',
						       'BPix1+BPix2+FPix1_pos+FPix2_pos', 'BPix1+BPix2+FPix1_neg+FPix2_neg',
						       'BPix1+FPix1_pos+FPix2_pos+FPix3_pos', 'BPix1+FPix1_neg+FPix2_neg+FPix3_neg',
						       'FPix1_pos+FPix2_pos+FPix3_pos+FPix4_pos', 'FPix1_neg+FPix2_neg+FPix3_neg+FPix4_neg',
						       'FPix2_pos+FPix3_pos+FPix4_pos+FPix5_pos', 'FPix2_neg+FPix3_neg+FPix4_neg+FPix5_neg',
						       'FPix3_pos+FPix4_pos+FPix5_pos+FPix6_pos', 'FPix3_neg+FPix4_neg+FPix5_neg+FPix6_pos',
						       'FPix4_pos+FPix5_pos+FPix6_pos+FPix7_pos', 'FPix4_neg+FPix5_neg+FPix6_neg+FPix7_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos+FPix8_pos', 'FPix5_neg+FPix6_neg+FPix7_neg+FPix8_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos+FPix9_pos', 'FPix5_neg+FPix6_neg+FPix7_neg+FPix9_neg',
						       'FPix6_pos+FPix7_pos+FPix8_pos+FPix9_pos', 'FPix6_neg+FPix7_neg+FPix8_neg+FPix9_neg')
    
    
    # Need these until pixel templates are used
    process.load("SLHCUpgradeSimulations.Geometry.recoFromSimDigis_cff")
    # PixelCPEGeneric #
    process.PixelCPEGenericESProducer.Upgrade = cms.bool(True)
    process.PixelCPEGenericESProducer.UseErrorsFromTemplates = cms.bool(False)
    process.PixelCPEGenericESProducer.LoadTemplatesFromDB = cms.bool(False)
    process.PixelCPEGenericESProducer.TruncatePixelCharge = cms.bool(False)
    process.PixelCPEGenericESProducer.IrradiationBiasCorrection = False
    process.PixelCPEGenericESProducer.DoCosmics = False
    # CPE for other steps
    process.siPixelRecHits.CPE = cms.string('PixelCPEGeneric')
    # Turn of template use in tracking (iterative steps handled inside their configs)
    process.mergedDuplicateTracks.TTRHBuilder = 'WithTrackAngle'
    process.ctfWithMaterialTracks.TTRHBuilder = 'WithTrackAngle'
    process.muonSeededSeedsInOut.TrackerRecHitBuilder=cms.string('WithTrackAngle')
    process.muonSeededTracksInOut.TTRHBuilder=cms.string('WithTrackAngle')
    process.muons1stStep.TrackerKinkFinderParameters.TrackerRecHitBuilder=cms.string('WithTrackAngle')
    process.regionalCosmicTracks.TTRHBuilder=cms.string('WithTrackAngle')
    process.cosmicsVetoTracksRaw.TTRHBuilder=cms.string('WithTrackAngle')
    # End of pixel template needed section
    
    process.regionalCosmicTrackerSeeds.OrderedHitsFactoryPSet.LayerPSet.layerList  = cms.vstring('BPix9+BPix8')  # Optimize later
    process.regionalCosmicTrackerSeeds.OrderedHitsFactoryPSet.LayerPSet.BPix = cms.PSet(
        HitProducer = cms.string('siPixelRecHits'),
        hitErrorRZ = cms.double(0.006),
        useErrorsFromParam = cms.bool(True),
        TTRHBuilder = cms.string('TTRHBuilderWithoutAngle4PixelPairs'),
        skipClusters = cms.InputTag("pixelPairStepClusters"),
        hitErrorRPhi = cms.double(0.0027)
    )
    # Make pixelTracks use quadruplets
    process.pixelTracks.SeedMergerPSet = cms.PSet(
        layerListName = cms.string('PixelSeedMergerQuadruplets'),
        addRemainingTriplets = cms.bool(False),
        mergeTriplets = cms.bool(True),
        ttrhBuilderLabel = cms.string('PixelTTRHBuilderWithoutAngle')
        )
    process.pixelTracks.OrderedHitsFactoryPSet.GeneratorPSet.maxElement = cms.uint32(0)
    process.pixelTracks.FilterPSet.chi2 = cms.double(50.0)
    process.pixelTracks.FilterPSet.tipMax = cms.double(0.05)
    process.pixelTracks.RegionFactoryPSet.RegionPSet.originRadius =  cms.double(0.02)

    # Particle flow needs to know that the eta range has increased, for
    # when linking tracks to HF clusters
    process=customise_PFlow.customise_extendedTrackerBarrel( process )

    return process

def customise_condOverRides(process):
    process.load('SLHCUpgradeSimulations.Geometry.fakeConditions_BarrelEndcap5DPixel10DLHCC_cff')
    process.trackerNumberingSLHCGeometry.layerNumberPXB = cms.uint32(20)
    process.trackerTopologyConstants.pxb_layerStartBit = cms.uint32(20)
    process.trackerTopologyConstants.pxb_ladderStartBit = cms.uint32(12)
    process.trackerTopologyConstants.pxb_moduleStartBit = cms.uint32(2)
    process.trackerTopologyConstants.pxb_layerMask = cms.uint32(15)
    process.trackerTopologyConstants.pxb_ladderMask = cms.uint32(255)
    process.trackerTopologyConstants.pxb_moduleMask = cms.uint32(1023)
    process.trackerTopologyConstants.pxf_diskStartBit = cms.uint32(18)
    process.trackerTopologyConstants.pxf_bladeStartBit = cms.uint32(12)
    process.trackerTopologyConstants.pxf_panelStartBit = cms.uint32(10)
    process.trackerTopologyConstants.pxf_moduleMask = cms.uint32(255)
    return process


def l1EventContent(process):
    #extend the event content

    alist=['RAWSIM','FEVTDEBUG','FEVTDEBUGHLT','GENRAW','RAWSIMHLT','FEVT']
    for a in alist:
        b=a+'output'
        if hasattr(process,b):

            getattr(process,b).outputCommands.append('keep *_TTClustersFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTStubsFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTTracksFromPixelDigis_*_*')

            getattr(process,b).outputCommands.append('keep *_TTClusterAssociatorFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTStubAssociatorFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTTrackAssociatorFromPixelDigis_*_*')

            getattr(process,b).outputCommands.append('drop PixelDigiSimLinkedmDetSetVector_mix_*_*')
            getattr(process,b).outputCommands.append('drop PixelDigiedmDetSetVector_mix_*_*')

            getattr(process,b).outputCommands.append('keep *_simSiPixelDigis_*_*')

    return process

def customise_DQM(process,pileup):
    # We cut down the number of iterative tracking steps
#    process.dqmoffline_step.remove(process.TrackMonStep3)
#    process.dqmoffline_step.remove(process.TrackMonStep4)
#    process.dqmoffline_step.remove(process.TrackMonStep5)
#    process.dqmoffline_step.remove(process.TrackMonStep6)
    			    #The following two steps were removed
                            #process.PixelLessStep*
                            #process.TobTecStep*
#    process.dqmoffline_step.remove(process.muonAnalyzer)
    process.dqmoffline_step.remove(process.jetMETAnalyzer)
#    process.dqmoffline_step.remove(process.TrackMonStep9)
#    process.dqmoffline_step.remove(process.TrackMonStep10)
#    process.dqmoffline_step.remove(process.PixelTrackingRecHitsValid)

    #put isUpgrade flag==true
    process.SiPixelRawDataErrorSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelDigiSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelClusterSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelRecHitSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelTrackResidualSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelHitEfficiencySource.isUpgrade = cms.untracked.bool(True)
    
    from DQM.TrackingMonitor.customizeTrackingMonitorSeedNumber import customise_trackMon_IterativeTracking_PHASE1PU140
    process=customise_trackMon_IterativeTracking_PHASE1PU140(process)
    process.dqmoffline_step.remove(process.Phase1Pu70TrackMonStep2)
    process.dqmoffline_step.remove(process.Phase1Pu70TrackMonStep4)
    if hasattr(process,"globalrechitsanalyze") : # Validation takes this out if pileup is more than 30
       process.globalrechitsanalyze.ROUList = cms.vstring(
          'g4SimHitsTrackerHitsPixelBarrelLowTof', 
          'g4SimHitsTrackerHitsPixelBarrelHighTof', 
          'g4SimHitsTrackerHitsPixelEndcapLowTof', 
          'g4SimHitsTrackerHitsPixelEndcapHighTof')
    return process

def customise_Validation(process,pileup):
    process.validation_step.remove(process.PixelTrackingRecHitsValid)
    process.validation_step.remove(process.stripRecHitsValid)
    process.validation_step.remove(process.trackerHitsValid)
    process.validation_step.remove(process.StripTrackingRecHitsValid)
    # We don't run the HLT
    process.validation_step.remove(process.HLTSusyExoVal)
    process.validation_step.remove(process.hltHiggsValidator)
    process.validation_step.remove(process.relvalMuonBits)
    if pileup>30:
        process.trackValidator.label=cms.VInputTag(cms.InputTag("cutsRecoTracksHp"))
        process.tracksValidationSelectors = cms.Sequence(process.cutsRecoTracksHp)
        process.globalValidation.remove(process.recoMuonValidation)
        process.validation.remove(process.recoMuonValidation)
        process.validation_preprod.remove(process.recoMuonValidation)
        process.validation_step.remove(process.recoMuonValidation)
        process.validation.remove(process.globalrechitsanalyze)
        process.validation_prod.remove(process.globalrechitsanalyze)
        process.validation_step.remove(process.globalrechitsanalyze)
        process.validation.remove(process.stripRecHitsValid)
        process.validation_step.remove(process.stripRecHitsValid)
        process.validation_step.remove(process.StripTrackingRecHitsValid)
        process.globalValidation.remove(process.vertexValidation)
        process.validation.remove(process.vertexValidation)
        process.validation_step.remove(process.vertexValidation)
        process.mix.input.nbPileupEvents.averageNumber = cms.double(0.0)
        process.mix.minBunch = cms.int32(0)
        process.mix.maxBunch = cms.int32(0)

    if hasattr(process,'simHitTPAssocProducer'):    
        process.simHitTPAssocProducer.simHitSrc=cms.VInputTag(cms.InputTag("g4SimHits","TrackerHitsPixelBarrelLowTof"),
                                                              cms.InputTag("g4SimHits","TrackerHitsPixelEndcapLowTof"))

    return process

def customise_harvesting(process):
    process.dqmHarvesting.remove(process.jetMETDQMOfflineClient)
    process.dqmHarvesting.remove(process.dataCertificationJetMET)
    process.dqmHarvesting.remove(process.sipixelEDAClient)
    process.dqmHarvesting.remove(process.sipixelCertification)
    return (process)

